package com.agri.system.service.impl;

import java.util.List;
import com.agri.common.utils.DateUtils;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.agri.system.mapper.SysImeiAutoLogMapper;
import com.agri.system.domain.SysImeiAutoLog;
import com.agri.system.service.ISysImeiAutoLogService;

/**
 * 自动模式日志Service业务层处理
 * 
 * @author lld
 * @date 2026-03-29
 */
@Service
public class SysImeiAutoLogServiceImpl extends ServiceImpl<SysImeiAutoLogMapper, SysImeiAutoLog> implements ISysImeiAutoLogService 
{

    /**
     * 查询自动模式日志
     * 
     * @param id 自动模式日志主键
     * @return 自动模式日志
     */
    @Override
    public SysImeiAutoLog selectSysImeiAutoLogById(Long id)
    {
        return baseMapper.selectSysImeiAutoLogById(id);
    }

    /**
     * 查询自动模式日志列表
     * 
     * @param sysImeiAutoLog 自动模式日志
     * @return 自动模式日志
     */
    @Override
    public List<SysImeiAutoLog> selectSysImeiAutoLogList(SysImeiAutoLog sysImeiAutoLog)
    {
        return baseMapper.selectSysImeiAutoLogList(sysImeiAutoLog);
    }

    /**
     * 新增自动模式日志
     * 
     * @param sysImeiAutoLog 自动模式日志
     * @return 结果
     */
    @Override
    public int insertSysImeiAutoLog(SysImeiAutoLog sysImeiAutoLog)
    {
        sysImeiAutoLog.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertSysImeiAutoLog(sysImeiAutoLog);
    }

    /**
     * 修改自动模式日志
     * 
     * @param sysImeiAutoLog 自动模式日志
     * @return 结果
     */
    @Override
    public int updateSysImeiAutoLog(SysImeiAutoLog sysImeiAutoLog)
    {
        sysImeiAutoLog.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateSysImeiAutoLog(sysImeiAutoLog);
    }

    /**
     * 批量删除自动模式日志
     * 
     * @param ids 需要删除的自动模式日志主键
     * @return 结果
     */
    @Override
    public int deleteSysImeiAutoLogByIds(Long[] ids)
    {
        return baseMapper.deleteSysImeiAutoLogByIds(ids);
    }

    /**
     * 删除自动模式日志信息
     * 
     * @param id 自动模式日志主键
     * @return 结果
     */
    @Override
    public int deleteSysImeiAutoLogById(Long id)
    {
        return baseMapper.deleteSysImeiAutoLogById(id);
    }
}
